Bug 31787 - xdosemu doesn't have X support compiled in.
xdosemu doesn't have X support compiled in.
Product: Red Hat Powertools
Classification: Retired
Component: dosemu (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: 51341 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-03-14 12:49 EST by Ed McKenzie
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-22 00:38:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch against dosemu-1.0.1-10 source rpm (672 bytes, patch)
2001-07-30 20:26 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Ed McKenzie 2001-03-14 12:49:52 EST
[eem12@eem12 eem12]$ xdos -X

Running unpriviledged in low feature mode
kernel CPU speed is 400000919 Hz
Running on CPU=586, FPU=1
no console
ERROR: X support not compiled in

[eem12@eem12 eem12]$
Comment 1 Jay Berkenbilt 2001-03-21 23:24:27 EST
I was going to report this bug.  When I ran xdos from xdosemu-1.0.1-9, I got an
X window.  When I upgraded to 1.0.1-10, I no longer did -- it just ran directly
in the xterm as if I had run just dos.
Comment 2 Jay Berkenbilt 2001-04-22 00:37:56 EDT
This bug is still here in the released seawolf powertools (same rpm version)...
Comment 3 Bernhard Rosenkraenzer 2001-07-18 06:12:50 EDT
We're no longer shipping dosemu; this is fixed in the version from our contrib 
server (http://rhcontrib.bero.org/) [1.1.1-2] though.
Comment 4 Michael Schwendt 2001-07-30 20:25:18 EDT
Search for "dosemu": None of the packages matches your query.

I then went and searched for dosemu rpms manually. Without luck. It's not there
(yet). Nice contrib page project, though.

Fortunately, it was enough to modify the 1.0.1-10 spec file --without-x hack a
bit to build a working "xdos" again for Seawolf. Patch follows.
Comment 5 Michael Schwendt 2001-07-30 20:26:07 EDT
Created attachment 25512 [details]
patch against dosemu-1.0.1-10 source rpm
Comment 6 Bernhard Rosenkraenzer 2001-07-31 06:28:25 EDT
The package is back at rhcontrib.bero.org. It was missing because I hadn't put 
it back in after the disk had a headcrash about a week back.
Comment 7 Bernhard Rosenkraenzer 2001-08-10 05:21:28 EDT
*** Bug 51341 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.